Graphical image (with GPU) for DB820c


#1

Hi,

We are trying to upgrade Graphical image (with GPU) in DB820c using Graphical image (with GPU) for DB820c. We are using release 66 form this link.

But we are facing issue in installing LxQt desktop environment. it shows some unmet dependencies error.

root@linaro-developer:~# apt install lxqt
Reading package lists… Done
Building dependency tree
Reading state information… Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
lxqt : Depends: lximage-qt but it is not going to be installed
Depends: lxqt-core (= 19) but it is not going to be installed
Depends: lxqt-about but it is not going to be installed
Depends: lxqt-admin but it is not going to be installed
Depends: lxqt-openssh-askpass but it is not going to be installed
Depends: lxqt-powermanagement but it is not going to be installed
Recommends: calibre but it is not going to be installed
W: Target Packages (Packages) is configured multiple times in /etc/apt/sources.list.d/hwpack.repo.list:1 and /etc/apt/sources.list.d/linaro-overlay-ob1
W: Target Translations (en) is configured multiple times in /etc/apt/sources.list.d/hwpack.repo.list:1 and /etc/apt/sources.list.d/linaro-overlay-obs.1
E: Unable to correct problems, you have held broken packages.

We are able to install other Desktop environment (ex. LXDE), But problem with installing LxQt.

So, is there some change in package or we are missing something?

Looking forward your help.

Thanks,
Hiren


#2

hi,

are you trying on a new board, from scratch, or a board that was already setup with LxQT that you are trying to ‘dist-upgrade’?

The initial instructions to get graphics drivers included packages from Debian experimental, and that could be the source of such isssues. If possible , I would recommend to start from scratch , using the latest image, and using the latest instructions on the wiki since all our dependencies are now in sid, and experimental is not needed anymore.

If you cannot restart from scratch, we can try to repair the system by removing all packages from experimental and re-install them.

I haven’t turned on my board for a couple of weeks, i will try to upgrade on my side as well to check if everything still works.